Subject: Re: bug#22754: 25.1.50; Rmail does not follow RFC 2822

From: Glenn Morris <[email-masked]>
Date: Fri, 26 Feb 2016 12:43:18 -0500

Marcin Borkowski wrote:

> Rmail inserts lower-case field names in the header, which goes against
> RFC 2822 (pp. 22 and 23, see
> https://tools.ietf.org/html/rfc2822#page-22).

Andy Moreton wrote:

> This should be "In-Reply-To" as described in RFC 2822 section 3.6.4.

Going back to this, what exactly are you referring to in the RFC?
All I can find on the subject of case is an explicit statement that
values are case insensitive (as one would expect):

    1.2.2. Syntactic notation
    
    Characters will be specified either by a decimal value (e.g., the value
    %d65 for uppercase A and %d97 for lowercase A) or by a case-insensitive
    literal value enclosed in quotation marks (e.g., "A" for either
    uppercase or lowercase

So the fact they happen to write "In-Reply-To" implies nothing about case.